require 'aws-sdk-core'

# Aws module documentation.
module Aws
  # service gems
  autoload :ACM, 'aws-sdk-acm'
  autoload :APIGateway, 'aws-sdk-apigateway'
  autoload :AppStream, 'aws-sdk-appstream'
  autoload :ApplicationAutoScaling, 'aws-sdk-applicationautoscaling'
  autoload :ApplicationDiscoveryService, 'aws-sdk-applicationdiscoveryservice'
  autoload :Athena, 'aws-sdk-athena'
  autoload :AutoScaling, 'aws-sdk-autoscaling'
  autoload :Batch, 'aws-sdk-batch'
  autoload :Budgets, 'aws-sdk-budgets'
  autoload :CloudDirectory, 'aws-sdk-clouddirectory'
  autoload :CloudFormation, 'aws-sdk-cloudformation'
  autoload :CloudFront, 'aws-sdk-cloudfront'
  autoload :CloudHSM, 'aws-sdk-cloudhsm'
  autoload :CloudHSMV2, 'aws-sdk-cloudhsmv2'
  autoload :CloudSearch, 'aws-sdk-cloudsearch'
  autoload :CloudSearchDomain, 'aws-sdk-cloudsearchdomain'
  autoload :CloudTrail, 'aws-sdk-cloudtrail'
  autoload :CloudWatch, 'aws-sdk-cloudwatch'
  autoload :CloudWatchEvents, 'aws-sdk-cloudwatchevents'
  autoload :CloudWatchLogs, 'aws-sdk-cloudwatchlogs'
  autoload :CodeBuild, 'aws-sdk-codebuild'
  autoload :CodeCommit, 'aws-sdk-codecommit'
  autoload :CodeDeploy, 'aws-sdk-codedeploy'
  autoload :CodePipeline, 'aws-sdk-codepipeline'
  autoload :CodeStar, 'aws-sdk-codestar'
  autoload :CognitoIdentity, 'aws-sdk-cognitoidentity'
  autoload :CognitoIdentityProvider, 'aws-sdk-cognitoidentityprovider'
  autoload :CognitoSync, 'aws-sdk-cognitosync'
  autoload :ConfigService, 'aws-sdk-configservice'
  autoload :CostExplorer, 'aws-sdk-costexplorer'
  autoload :CostandUsageReportService, 'aws-sdk-costandusagereportservice'
  autoload :DAX, 'aws-sdk-dax'
  autoload :DataPipeline, 'aws-sdk-datapipeline'
  autoload :DatabaseMigrationService, 'aws-sdk-databasemigrationservice'
  autoload :DeviceFarm, 'aws-sdk-devicefarm'
  autoload :DirectConnect, 'aws-sdk-directconnect'
  autoload :DirectoryService, 'aws-sdk-directoryservice'
  autoload :DynamoDB, 'aws-sdk-dynamodb'
  autoload :DynamoDBStreams, 'aws-sdk-dynamodbstreams'
  autoload :EC2, 'aws-sdk-ec2'
  autoload :ECR, 'aws-sdk-ecr'
  autoload :ECS, 'aws-sdk-ecs'
  autoload :EFS, 'aws-sdk-efs'
  autoload :EMR, 'aws-sdk-emr'
  autoload :ElastiCache, 'aws-sdk-elasticache'
  autoload :ElasticBeanstalk, 'aws-sdk-elasticbeanstalk'
  autoload :ElasticLoadBalancing, 'aws-sdk-elasticloadbalancing'
  autoload :ElasticLoadBalancingV2, 'aws-sdk-elasticloadbalancingv2'
  autoload :ElasticTranscoder, 'aws-sdk-elastictranscoder'
  autoload :ElasticsearchService, 'aws-sdk-elasticsearchservice'
  autoload :Firehose, 'aws-sdk-firehose'
  autoload :GameLift, 'aws-sdk-gamelift'
  autoload :Glacier, 'aws-sdk-glacier'
  autoload :Glue, 'aws-sdk-glue'
  autoload :Greengrass, 'aws-sdk-greengrass'
  autoload :Health, 'aws-sdk-health'
  autoload :IAM, 'aws-sdk-iam'
  autoload :ImportExport, 'aws-sdk-importexport'
  autoload :Inspector, 'aws-sdk-inspector'
  autoload :IoT, 'aws-sdk-iot'
  autoload :IoTDataPlane, 'aws-sdk-iotdataplane'
  autoload :KMS, 'aws-sdk-kms'
  autoload :Kinesis, 'aws-sdk-kinesis'
  autoload :KinesisAnalytics, 'aws-sdk-kinesisanalytics'
  autoload :Lambda, 'aws-sdk-lambda'
  autoload :LambdaPreview, 'aws-sdk-lambdapreview'
  autoload :Lex, 'aws-sdk-lex'
  autoload :LexModelBuildingService, 'aws-sdk-lexmodelbuildingservice'
  autoload :Lightsail, 'aws-sdk-lightsail'
  autoload :MTurk, 'aws-sdk-mturk'
  autoload :MachineLearning, 'aws-sdk-machinelearning'
  autoload :MarketplaceCommerceAnalytics, 'aws-sdk-marketplacecommerceanalytics'
  autoload :MarketplaceEntitlementService, 'aws-sdk-marketplaceentitlementservice'
  autoload :MarketplaceMetering, 'aws-sdk-marketplacemetering'
  autoload :MigrationHub, 'aws-sdk-migrationhub'
  autoload :Mobile, 'aws-sdk-mobile'
  autoload :OpsWorks, 'aws-sdk-opsworks'
  autoload :OpsWorksCM, 'aws-sdk-opsworkscm'
  autoload :Organizations, 'aws-sdk-organizations'
  autoload :Pinpoint, 'aws-sdk-pinpoint'
  autoload :Polly, 'aws-sdk-polly'
  autoload :Pricing, 'aws-sdk-pricing'
  autoload :RDS, 'aws-sdk-rds'
  autoload :Redshift, 'aws-sdk-redshift'
  autoload :Rekognition, 'aws-sdk-rekognition'
  autoload :ResourceGroupsTaggingAPI, 'aws-sdk-resourcegroupstaggingapi'
  autoload :Route53, 'aws-sdk-route53'
  autoload :Route53Domains, 'aws-sdk-route53domains'
  autoload :S3, 'aws-sdk-s3'
  autoload :SES, 'aws-sdk-ses'
  autoload :SMS, 'aws-sdk-sms'
  autoload :SNS, 'aws-sdk-sns'
  autoload :SQS, 'aws-sdk-sqs'
  autoload :SSM, 'aws-sdk-ssm'
  autoload :STS, 'aws-sdk-core'
  autoload :SWF, 'aws-sdk-swf'
  autoload :ServiceCatalog, 'aws-sdk-servicecatalog'
  autoload :Shield, 'aws-sdk-shield'
  autoload :SimpleDB, 'aws-sdk-simpledb'
  autoload :Snowball, 'aws-sdk-snowball'
  autoload :States, 'aws-sdk-states'
  autoload :StorageGateway, 'aws-sdk-storagegateway'
  autoload :Support, 'aws-sdk-support'
  autoload :WAF, 'aws-sdk-waf'
  autoload :WAFRegional, 'aws-sdk-wafregional'
  autoload :WorkDocs, 'aws-sdk-workdocs'
  autoload :WorkSpaces, 'aws-sdk-workspaces'
  autoload :XRay, 'aws-sdk-xray'
  # end service gems
end
